Skip to main content
`Ctrl`+`K`

# TSPseudoIncrementDtFromInitialDt

Indicates that a new timestep is computed via the formula \( dt = initial\_dt*initial\_fnorm/current\_fnorm \) rather than the default update, \( dt = current\_dt*previous\_fnorm/current\_fnorm.\)

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSPseudoIncrementDtFromInitialDt(TS ts)

Logically Collective

## Input Parameter

- ts - the timestep context

## Options Database Key

- -ts_pseudo_increment_dt_from_initial_dt (true|false) - use the initial \(dt\) to determine increment

## See Also

TS: Scalable ODE and DAE Solvers, `TSPSEUDO`, `TSPseudoSetTimeStep()`, `TSPseudoTimeStepDefault()`

## Level

advanced

## Location

src/ts/impls/pseudo/posindep.c

## Implementations

TSPseudoIncrementDtFromInitialDt_Pseudo() in src/ts/impls/pseudo/posindep.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages